aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Commands.Domain

Synopsis

- data CreateDomain = CreateDomain {
  - cdDomainName :: Text
  }
- data CreateDomainResponse = CreateDomainResponse
- createDomain :: Text -> CreateDomain
- data DeleteDomain = DeleteDomain {
  - ddDomainName :: Text
  }
- data DeleteDomainResponse = DeleteDomainResponse
- deleteDomain :: Text -> DeleteDomain
- data DomainMetadata = DomainMetadata {
  - dmDomainName :: Text
  }
- data DomainMetadataResponse = DomainMetadataResponse {
  - dmrTimestamp :: UTCTime
  - dmrItemCount :: Integer
  - dmrAttributeValueCount :: Integer
  - dmrAttributeNameCount :: Integer
  - dmrItemNamesSizeBytes :: Integer
  - dmrAttributeValuesSizeBytes :: Integer
  - dmrAttributeNamesSizeBytes :: Integer
  }
- domainMetadata :: Text -> DomainMetadata
- data ListDomains = ListDomains {
  - ldMaxNumberOfDomains :: Maybe Int
  - ldNextToken :: Maybe Text
  }
- data ListDomainsResponse = ListDomainsResponse {
  - ldrDomainNames :: [Text]
  - ldrNextToken :: Maybe Text
  }
- listDomains :: ListDomains

# Documentation

data CreateDomain #

Constructors

CreateDomain |
Fields cdDomainName :: Text

Instances

Show CreateDomain # |
Methods showsPrec :: Int -> CreateDomain -> ShowS # show :: CreateDomain -> String # showList :: [CreateDomain] -> ShowS #
SignQuery CreateDomain # | ServiceConfiguration: `SdbConfiguration`
Associated Types type ServiceConfiguration CreateDomain :: * -> * # Methods signQuery :: CreateDomain -> ServiceConfiguration CreateDomain queryType -> SignatureData -> SignedQuery #
Transaction CreateDomain CreateDomainResponse # |
type ServiceConfiguration CreateDomain # |
type ServiceConfiguration CreateDomain = SdbConfiguration

data CreateDomainResponse #

Constructors

CreateDomainResponse |

Instances

Show CreateDomainResponse # |
Methods showsPrec :: Int -> CreateDomainResponse -> ShowS # show :: CreateDomainResponse -> String # showList :: [CreateDomainResponse] -> ShowS #
AsMemoryResponse CreateDomainResponse # |
Associated Types type MemoryResponse CreateDomainResponse :: * # Methods loadToMemory :: CreateDomainResponse -> ResourceT IO (MemoryResponse CreateDomainResponse) #
Transaction CreateDomain CreateDomainResponse # |
ResponseConsumer r CreateDomainResponse # |
Associated Types type ResponseMetadata CreateDomainResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateDomainResponse) -> HTTPResponseConsumer CreateDomainResponse #
type MemoryResponse CreateDomainResponse # |
type MemoryResponse CreateDomainResponse = CreateDomainResponse
type ResponseMetadata CreateDomainResponse # |
type ResponseMetadata CreateDomainResponse = SdbMetadata

createDomain :: Text -> CreateDomain #

data DeleteDomain #

Constructors

DeleteDomain |
Fields ddDomainName :: Text

Instances

Show DeleteDomain # |
Methods showsPrec :: Int -> DeleteDomain -> ShowS # show :: DeleteDomain -> String # showList :: [DeleteDomain] -> ShowS #
SignQuery DeleteDomain # | ServiceConfiguration: `SdbConfiguration`
Associated Types type ServiceConfiguration DeleteDomain :: * -> * # Methods signQuery :: DeleteDomain -> ServiceConfiguration DeleteDomain queryType -> SignatureData -> SignedQuery #
Transaction DeleteDomain DeleteDomainResponse # |
type ServiceConfiguration DeleteDomain # |
type ServiceConfiguration DeleteDomain = SdbConfiguration

data DeleteDomainResponse #

Constructors

DeleteDomainResponse |

Instances

Show DeleteDomainResponse # |
Methods showsPrec :: Int -> DeleteDomainResponse -> ShowS # show :: DeleteDomainResponse -> String # showList :: [DeleteDomainResponse] -> ShowS #
AsMemoryResponse DeleteDomainResponse # |
Associated Types type MemoryResponse DeleteDomainResponse :: * # Methods loadToMemory :: DeleteDomainResponse -> ResourceT IO (MemoryResponse DeleteDomainResponse) #
Transaction DeleteDomain DeleteDomainResponse # |
ResponseConsumer r DeleteDomainResponse # |
Associated Types type ResponseMetadata DeleteDomainResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteDomainResponse) -> HTTPResponseConsumer DeleteDomainResponse #
type MemoryResponse DeleteDomainResponse # |
type MemoryResponse DeleteDomainResponse = DeleteDomainResponse
type ResponseMetadata DeleteDomainResponse # |
type ResponseMetadata DeleteDomainResponse = SdbMetadata

deleteDomain :: Text -> DeleteDomain #

data DomainMetadata #

Constructors

DomainMetadata |
Fields dmDomainName :: Text

Instances

Show DomainMetadata # |
Methods showsPrec :: Int -> DomainMetadata -> ShowS # show :: DomainMetadata -> String # showList :: [DomainMetadata] -> ShowS #
SignQuery DomainMetadata # | ServiceConfiguration: `SdbConfiguration`
Associated Types type ServiceConfiguration DomainMetadata :: * -> * # Methods signQuery :: DomainMetadata -> ServiceConfiguration DomainMetadata queryType -> SignatureData -> SignedQuery #
Transaction DomainMetadata DomainMetadataResponse # |
type ServiceConfiguration DomainMetadata # |
type ServiceConfiguration DomainMetadata = SdbConfiguration

data DomainMetadataResponse #

Constructors

DomainMetadataResponse |
Fields dmrTimestamp :: UTCTime dmrItemCount :: Integer dmrAttributeValueCount :: Integer dmrAttributeNameCount :: Integer dmrItemNamesSizeBytes :: Integer dmrAttributeValuesSizeBytes :: Integer dmrAttributeNamesSizeBytes :: Integer

Instances

Show DomainMetadataResponse # |
Methods showsPrec :: Int -> DomainMetadataResponse -> ShowS # show :: DomainMetadataResponse -> String # showList :: [DomainMetadataResponse] -> ShowS #
AsMemoryResponse DomainMetadataResponse # |
Associated Types type MemoryResponse DomainMetadataResponse :: * # Methods loadToMemory :: DomainMetadataResponse -> ResourceT IO (MemoryResponse DomainMetadataResponse) #
Transaction DomainMetadata DomainMetadataResponse # |
ResponseConsumer r DomainMetadataResponse # |
Associated Types type ResponseMetadata DomainMetadataResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata DomainMetadataResponse) -> HTTPResponseConsumer DomainMetadataResponse #
type MemoryResponse DomainMetadataResponse # |
type MemoryResponse DomainMetadataResponse = DomainMetadataResponse
type ResponseMetadata DomainMetadataResponse # |
type ResponseMetadata DomainMetadataResponse = SdbMetadata

domainMetadata :: Text -> DomainMetadata #

data ListDomains #

Constructors

ListDomains |
Fields ldMaxNumberOfDomains :: Maybe Int ldNextToken :: Maybe Text

Instances

Show ListDomains # |
Methods showsPrec :: Int -> ListDomains -> ShowS # show :: ListDomains -> String # showList :: [ListDomains] -> ShowS #
SignQuery ListDomains # | ServiceConfiguration: `SdbConfiguration`
Associated Types type ServiceConfiguration ListDomains :: * -> * # Methods signQuery :: ListDomains -> ServiceConfiguration ListDomains queryType -> SignatureData -> SignedQuery #
IteratedTransaction ListDomains ListDomainsResponse # |
Methods nextIteratedRequest :: ListDomains -> ListDomainsResponse -> Maybe ListDomains #
Transaction ListDomains ListDomainsResponse # |
type ServiceConfiguration ListDomains # |
type ServiceConfiguration ListDomains = SdbConfiguration

data ListDomainsResponse #

Constructors

ListDomainsResponse |
Fields ldrDomainNames :: [Text] ldrNextToken :: Maybe Text

Instances

Show ListDomainsResponse # |
Methods showsPrec :: Int -> ListDomainsResponse -> ShowS # show :: ListDomainsResponse -> String # showList :: [ListDomainsResponse] -> ShowS #
AsMemoryResponse ListDomainsResponse # |
Associated Types type MemoryResponse ListDomainsResponse :: * # Methods loadToMemory :: ListDomainsResponse -> ResourceT IO (MemoryResponse ListDomainsResponse) #
IteratedTransaction ListDomains ListDomainsResponse # |
Methods nextIteratedRequest :: ListDomains -> ListDomainsResponse -> Maybe ListDomains #
Transaction ListDomains ListDomainsResponse # |
ListResponse ListDomainsResponse Text # |
Methods listResponse :: ListDomainsResponse -> [Text] #
ResponseConsumer r ListDomainsResponse # |
Associated Types type ResponseMetadata ListDomainsResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata ListDomainsResponse) -> HTTPResponseConsumer ListDomainsResponse #
type MemoryResponse ListDomainsResponse # |
type MemoryResponse ListDomainsResponse = ListDomainsResponse
type ResponseMetadata ListDomainsResponse # |
type ResponseMetadata ListDomainsResponse = SdbMetadata

listDomains :: ListDomains #